unit main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, TeEngine, ExtCtrls, TeeProcs, Chart, Series, DateUtils,
  TeeFunci;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
Var
   Ctr : Integer;
   aDT : TDateTime;

begin
For Ctr := 0 To 5
Do Begin
   Chart1.AddSeries(TLineSeries.Create(Chart1));
   Chart1.Series[Ctr].XValues.DateTime := True;
   TLineSeries(Chart1.Series[Ctr]).Pen.Width := 2;
   End;
aDT := Now;
For Ctr := 0 To 1000
Do Begin
   If (Ctr Mod 2 = 0) Then Chart1.Series[0].AddXY(IncMinute(aDT,Ctr),Ctr);
   If (Ctr Mod 3 = 0) Then Chart1.Series[1].AddXY(IncMinute(aDT,Ctr),Ctr+100+Ctr div 2);
   If (Ctr Mod 4 = 0) Then Chart1.Series[2].AddXY(IncMinute(aDT,Ctr),Ctr*2);
   If (Ctr Mod 5 = 0) Then Chart1.Series[3].AddXY(IncMinute(aDT,Ctr),Ctr+50);
   If (Ctr Mod 6 = 0) Then Chart1.Series[4].AddXY(IncMinute(aDT,Ctr),500);
   End;
Chart1.Series[5].Title := 'Total';
Chart1.Series[5].SeriesColor := clRed;
Chart1.Series[5].SetFunction(TAddTeeFunction.Create(Chart1));
Chart1.Series[5].FunctionType.PeriodStyle := psRange;
Chart1.Series[5].FunctionType.Period := DateTimeStep[dtOneMinute];
Chart1.Series[5].DataSources.Clear;
For Ctr := 0 To 4
Do Chart1.Series[5].DataSources.Add(Chart1[Ctr]);
Chart1.Series[5].CheckDataSource;
end;

end.
